Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#26359 - [perl-xml-sax]

Attached to Project: Arch Linux
Opened by Gergely Daróczi (daroczig) - Sunday, 09 October 2011, 19:36 GMT
Last edited by Giovanni Scafora (giovanni) - Monday, 10 October 2011, 10:32 GMT
Task Type Support Request
Category Packages: Extra
Status Closed
Assigned To Giovanni Scafora (giovanni)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

I might be wrong, but this package does not contain the file "/usr/share/perl5/vendor_perl/XML/SAX/ParserDetails.ini".
I am not sure if it is needed, but the .INSTALL file is looking for it in the pkbuild:

line #2: if [ ! -r /usr/share/perl5/vendor_perl/XML/SAX/ParserDetails.ini ]; then ...
line #8: if [ ! -r /usr/share/perl5/vendor_perl/XML/SAX/ParserDetails.ini ]; then ...

If I run a clean install it seems to fail at some part:

$ LANG=C sudo pacman -Svv perl-xml-sax
Password:
Root : /
Conf File : /etc/pacman.conf
DB Path : /var/lib/pacman/
Cache Dirs: /var/cache/pacman/pkg/
Lock File : /var/lib/pacman/db.lck
Log File : /var/log/pacman.log
Targets : perl-xml-sax
warning: perl-xml-sax-0.99-1 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Targets (1): perl-xml-sax-0.99-1 [0.04 MB]

Total Download Size: 0.00 MB
Total Installed Size: 0.16 MB

Proceed with installation? [Y/n] Y
(1/1) checking package integrity [-----------------------------------------------------------------------] 100%
(1/1) checking for file conflicts [-----------------------------------------------------------------------] 100%
(1/1) upgrading perl-xml-sax [-----------------------------------------------------------------------] 100%
error: command failed to execute correctly


---

If I run the code which is not run because of the missing ini file, I get errors:

$ perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()"
Can't locate XML/SAX/Exception.pm in @INC (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/share/perl5/vendor_perl/XML/SAX/ParserFactory.pm line 12.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/XML/SAX/ParserFactory.pm line 12.
Compilation failed in require at /usr/share/perl5/vendor_perl/XML/SAX.pm line 18.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/XML/SAX.pm line 18.
Compilation failed in require.
BEGIN failed--compilation aborted.

Additional info:
* package version(s): 0.99-1

Steps to reproduce:

Installing perl-xml-sax after removing previous version.
This task depends upon

Closed by  Giovanni Scafora (giovanni)
Monday, 10 October 2011, 10:32 GMT
Reason for closing:  Fixed
Comment by Gergely Daróczi (daroczig) - Sunday, 09 October 2011, 20:22 GMT
I tried to build the PKGBUILD manually to search for errors, full log attached.

I think the main part is: "Warning: prerequisite XML::SAX::Base 1.05 not found." - as Vladimir pointed out also in the other topic: https://bugs.archlinux.org/task/26357?project=1&string=perl-xml-sax
Comment by Gergely Daróczi (daroczig) - Monday, 10 October 2011, 10:10 GMT
Installing the xml-sax-base package from AUR (https://aur.archlinux.org/packages.php?ID=53039) -- instructed on the other thread: https://bugs.archlinux.org/task/26357#comment83965 -- solved my problem, and after that this package installes fine.

Loading...